tos-serial-configure(1)

NAME

tos-serial-configure - reset serial port settings for raw data

SYNOPSIS

tos-serial-configure number

DESCRIPTION

tos-serial-configure is a tool that resets a serial port to read raw bytes. Some devices, such as terminals, require serial ports to interpret bytes in some fashion or another. For example, in "cooked" mode, a read on a serial port returns only after a newline character.

tos-serial-debug takes a required number argument, an integer which refers to which serial port to configure. This is appended to "/dev/ttyS" to determine the terminal device name.

EXAMPLE
Executing

  tos-serial-configure 0

configures /dev/ttyS0.

SEE ALSO

tos-serial-debug(1),